#ifdef VHDL_TESTBENCH
/*
 * $Id: Signal_get_reset.cpp 81 2008-04-15 18:40:01Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Signal.h"


namespace morpheo              {
namespace behavioural          {

#undef  FUNCTION
#define FUNCTION "Signal::get_reset"
  Signal * Signal::get_reset (void)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");

    Signal * _return;
    if ((_presence_port == RESET_VHDL_YES) or
	(_presence_port == RESET_VHDL_NO ))
      {
	if (_size != 1)
	  throw ErrorMorpheo ("<Signal.get_reset> : size of signal reset is more than one bit.");

	_return = this;
      }
    else
      _return = NULL;

    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
    return _return;
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
#endif
